Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util
Class NeuronProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable
              org.neuroph.util.Properties
                  org.neuroph.util.NeuronProperties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class NeuronProperties

extends Properties

Represents properties of a neuron.

See Also:
  Serialized Form

Constructor Summary
`NeuronProperties()`
`NeuronProperties(TransferFunctionType transferFunctionType)`
`NeuronProperties(TransferFunctionType transferFunctionType, boolean useBias)`
`NeuronProperties(WeightsFunctionType weightsFunctionType, SummingFunctionType summingFunctionType, TransferFunctionType transferFunctionType)`

Method Summary
`java.lang.Class` | `getNeuronType()`
`java.lang.Class` | `getSummingFunction()`
`java.lang.Class` | `getTransferFunction()`
`Properties` | `getTransferFunctionProperties()`
`java.lang.Class` | `getWeightsFunction()`
`void` | `setProperty(java.lang.String key, java.lang.Object value)`

Methods inherited from class org.neuroph.util.Properties
`createKeys, getProperty, hasProperty`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NeuronProperties

    public NeuronProperties()

### NeuronProperties

    public NeuronProperties(TransferFunctionType transferFunctionType)

### NeuronProperties

    public NeuronProperties(TransferFunctionType transferFunctionType,
                            boolean useBias)

### NeuronProperties

    public NeuronProperties(WeightsFunctionType weightsFunctionType,
                            SummingFunctionType summingFunctionType,
                            TransferFunctionType transferFunctionType)

Method Detail

### getWeightsFunction

    public java.lang.Class getWeightsFunction()

### getSummingFunction

    public java.lang.Class getSummingFunction()

### getTransferFunction

    public java.lang.Class getTransferFunction()

### getNeuronType

    public java.lang.Class getNeuronType()

### getTransferFunctionProperties

    public Properties getTransferFunctionProperties()

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.Object value)

  Overrides:
    `setProperty` in class `Properties`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD